## pal 0.4.3

=== Makefile ===
pal:
	make -C src

%:
	make -C src $@

=== debian/changelog ===
pal (0.4.3-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:33 +1100

pal (0.4.3-9build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:28 +0000

pal (0.4.3-9) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0 (Closes: #1007399)
  * d/copyright: Convert to machine-readable format

  [ Vagrant Cascadian ]
  * debian/rules: Pass -ffile-prefix-map via CFLAGS (Closes: #1020653)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923426)
    + cross.patch: Make pkg-config substitutable
    + Let dh_auto_build pass cross tools to make

  [ Uli Martens ]
  * make pal wake up less often in manage mode (Closes: #566843)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 01:15:22 +0200

pal (0.4.3-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch: 53_debian_rl_hook.patch (Closes: #741779)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Apr 2014 20:15:32 +0200

pal (0.4.3-8) unstable; urgency=low

  * Include the headers from ncursesw instead of ncurses.  Since both
    header variants are compatible, including ncurses' headers worked
    as long as there was an indirect dependency on libncurses5-dev.
    Thanks to Peter Green for the bug report and the patch.
    (Closes: #651761)

 -- Carsten Hey <carsten@debian.org>  Tue, 13 Dec 2011 23:21:09 +0100

pal (0.4.3-7) unstable; urgency=low

  * Replace glib's deprecated G_CONST_RETURN with const.  This fixes the
    build failure with recent glib versions.  Thanks to Matthias Klose for
    reporting the according FTBFS bug in Ubuntu Oneiric.  (LP: #832892)
  * Remove duplicate entry from history.pal.  Thanks to Paul Martin for
    reporting; in answer to your question, I assume it was quite funny,
    apart from that.  (Closes: #623061)
  * Fix spelling error in pal's man page (s/calender/calendar/).
  * Move the changes introduced in the prior Debian upload to a patch.
    The reason that this was not done initally does not apply anymore.
  * Bump debhelper compat level to 8, adapt dependency on debhelper
    and replace dh_clean -k with dh_prep in debian/rules.
  * Bump standards version to 3.9.2.
  * Keep the old dpkg source format for now and document this in
    debian/source/format.  I'll consider switching to "3.0 (quilt)"
    for the next upstream release.
  * Add ${misc:Depends} as dependency in debian/control.
  * Add the targets binary-indep and binary-arch to debian/rules.
  * Remove debian/dirs, it did only contain usr/bin.

 -- Carsten Hey <carsten@debian.org>  Sat, 27 Aug 2011 21:25:10 +0200

pal (0.4.3-6) unstable; urgency=low

  * Pal requires some translatable strings to be lowercased, otherwise the
    option -d doesn't work when these strings are passed to it.  Adapt the
    German and the Polish po files accordingly and apply the fix directly to
    the files instead of using patches to ease reviewing by the release team.

 -- Carsten Hey <carsten@debian.org>  Wed, 01 Dec 2010 21:16:23 +0100

pal (0.4.3-5) unstable; urgency=low

  * Build depend on libreadline-dev instead of libreadline5-dev or
    libreadline-dev.
  * Bumped standards version to 3.8.3.

 -- Carsten Hey <carsten@debian.org>  Thu, 24 Sep 2009 07:16:09 +0200

pal (0.4.3-4) unstable; urgency=low

  * Correctly place the cursor after a multibyte character in interactive
    mode.  (Closes: #499797)
  * Use terminal's default colors instead of white foreground and black
    background in interactive mode.
  * Fix typo in debian/copyright.
  * Bumped standards version to 3.8.1.
  * New maintainer address.

 -- Carsten Hey <carsten@debian.org>  Sun, 17 May 2009 14:43:35 +0200

pal (0.4.3-3) unstable; urgency=low

  * Recode austria.pal from ISO-8859 to UTF-8.  (Closes: #499389)
  * Link pal against libncursesw5 instead of libncurses5.  (Closes:
    #499403)

 -- Carsten Hey <c.hey@web.de>  Mon, 29 Sep 2008 11:57:52 +0200

pal (0.4.3-2) unstable; urgency=low

  * debian/watch: use QA redirector.
  * Added a new Debian specific patch which changes the path to example.css in
    pal.1.  Debian installs this file into a different location than
    upstream's makefile target install-doc.  (Closes: #497874)

 -- Carsten Hey <c.hey@web.de>  Sat, 06 Sep 2008 07:13:08 +0200

pal (0.4.3-1) unstable; urgency=low

  * New Upstream Version
    - Fix segfault when printing strings not valid in user's locale
      (Closes: #492464)
  * Removed patches that are included in pal's latest upstream release from
    debian/patches.  No remaining patches.

 -- Carsten Hey <c.hey@web.de>  Sat, 02 Aug 2008 19:26:36 +0200

pal (0.4.2-3) unstable; urgency=low

  * Apply patch from upstream CVS:
    - Don't loop endlessly when there are too few entries to be displayed in
      interactive mode.  (Martijn van Oosterhout and Adam Lincoln)
    - Support color in screen.  (Adam Lincoln)
    - Wait for a keystroke after add event.  (Adam Lincoln)

 -- Carsten Hey <c.hey@web.de>  Tue, 22 Jul 2008 13:31:23 +0200

pal (0.4.2-2) unstable; urgency=high

  * Urgency set to high as is solves an RC bug.
  * Apply patch from upstream CVS:
    - Don't segfault when default_text is NULL in rl.c.  (Closes: #489228)
    - Fix some compiler warnings.
    - CFLAGS has been splittet into CFLAGS and CPPFLAGS.
  * Adjusted debian/rules to pass CFLAGS to pal's Makefile.

 -- Carsten Hey <c.hey@web.de>  Sat, 05 Jul 2008 13:52:32 +0200

pal (0.4.2-1) unstable; urgency=low

  * New upstream version:
    - Fix encoding in HTML export.  (Closes: #332642)
    - Add missing HTML tags to exported HTML.  (Closes: #417854)
  * Removed pal_add_event.zsh and pal_edit_event.zsh from examples.
  * Removed patches that are included in pal's latest upstream release from
    debian/patches.  No remaining patches.
  * Added a new patch which fixes a typo and groff syntax in pal.1.template.


=== debian/control ===
Source: pal
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), libreadline-dev, libncurses-dev, libglib2.0-dev, gettext
Standards-Version: 3.9.2
Homepage: https://palcal.sourceforge.net

Package: pal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive
Description: command-line calendar program that can keep track of events
 pal is a command-line calendar program for Unix/Linux systems that can keep
 track of events. It has similarities with the Unix cal command, the more
 complex GNU gcal program, and the calendar program distributed with the BSDs.
 .
 Some of pal's main features are:
  * A cal-like calendar that highlights days that have events.
  * Assign different colors to different types of events.
  * Search events with regular expressions (-s).
  * Includes calendars for US holidays, Christian holidays, world holidays,
    historical events and more.
  * One-time events and a variety of recurring events are supported (daily,
    weekly, monthly, yearly). Recurring events can have start and end dates.
  * Easy-to-use interface for interactively adding, editing and deleting
    events (-m).
  * Automated deletion of old events (-x).
  * Option to generate an HTML calendar (--html).
  * Option to generate a LaTeX calendar suitable for printing (--latex).
 .
 Ways to use pal effectively include:
  * Create your own calendar files and be reminded of upcoming meetings,
    deadlines, and events.
  * Remind yourself daily of your "To Do" list by using the special TODO event
    type.
  * Run pal in your shell initialization file (such as ~/.bash_profile) to see
    your calendar whenever you open a new terminal.
  * Set up a cron job that emails you and/or others the output of pal every
    morning (--mail).
  * View the calendars of other pal users on the same system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: set ft=make:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -ffile-prefix-map=$(CURDIR)=.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# we use dh_strip to strip executables ...
export DEBUG=1

.PHONY: build build-indep build-arch
build: build-indep build-arch
build-indep:
build-arch: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_auto_build -- "CFLAGS=$(CFLAGS)"
	touch $@

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean
	dh_clean build-stamp

.PHONY: install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-mo
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-man
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-bin
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-share

.PHONY: binary binary-indep binary-arch
binary: binary-indep binary-arch
binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

=== debian/watch ===
version=3
http://sf.net/palcal/ pal[-_]([0-9.]+)\.t(?:ar\.)?[gb]z
